#
# Initial population of the Reading List system
#

use readinglist;

insert into readinglist (
    list_id, module_code, module_name, created_time, modified_time, 
    last_item_update, year, dept_code, stage, code, publish
  ) values (
    1, concat(right(year(now()),2),"LBA001"), "Initial Demo Module", now(), now(), now(), year(now()),
    "LB", "A", "001", "Y"
  );

insert into owner (
    list_id, name, userid, type, email, modified_time
  ) values (
    1, "Libby Rarian", "libby", 3, "root@localhost", now()
  );

insert into owner (
    list_id, name, userid, type, email, modified_time
  ) values (
    1, "Aker Demic", "aker", 0, "root@localhost", now()
  );

insert into material (
    material_id, title, authors, publisher, pubdate, control_no,
    url, edition, created_time, created_by, modified_time, modified_by
  ) values (
    1, "MySQL and mSQL", "Randy Jay Yarger, George Reese, Tim King",
    "O'Reilly", "1999", "1-56592-434-7", "http://www.ora.com/", 1,
    now(), "libby", now(), "libby"
  );

insert into material (
    material_id, title, authors, publisher, pubdate, control_no,
    url, edition, created_time, created_by, modified_time, modified_by
  ) values (
    2, "Learning Red Hat Linux", "Bill McCarty",
    "O'Reilly", "1999", "1-56592-627-7", "http://www.ora.com/", 1,
    now(), "libby", now(), "libby"
  );

insert into material (
    material_id, title, authors, publisher, pubdate, control_no,
    url, edition, created_time, created_by, modified_time, modified_by
  ) values (
    3, "Linux in a Nutshell", "Ellen Siever",
    "O'Reilly", "1999", "1-56592-585-8", "http://www.ora.com/", 2,
    now(), "libby", now(), "libby"
  );

insert into material (
    material_id, title, authors, publisher, pubdate, control_no,
    url, edition, created_time, created_by, modified_time, modified_by
  ) values (
    4, "Mastering Regular Expressions", "Jeffery E.F. Friedl",
    "O'Reilly", "1998", "1-56592-257-3", "http://www.ora.com/", 1,
    now(), "libby", now(), "libby"
  );

insert into material (
    material_id, title, authors, publisher, pubdate, control_no,
    url, edition, created_time, created_by, modified_time, modified_by
  ) values (
    5, "Programming Perl", "Larry Wall, Tom Christiansen, Randal L. Schwartz",
    "O'Reilly", "1996", "1-56592-149-6", "http://www.ora.com/", 2,
    now(), "libby", now(), "libby"
  );

insert into material (
    material_id, title, authors, publisher, pubdate, control_no,
    url, edition, created_time, created_by, modified_time, modified_by
  ) values (
    6, "Learning Perl", "Randal L. Schwartz, Tom Christiansen",
    "O'Reilly", "1997", "1-56592-284-0", "http://www.ora.com/", 2,
    now(), "libby", now(), "libby"
  );

insert into annotation (
    note_id, content, created_time, created_by, modified_time, modified_by
  ) values (
    1, "This is a quick demo reading list.  It contains some books that you might find useful whilst hacking about with this software", 
    now(), "libby", now(), "libby"
  );

insert into sequence (
    sequence_id, list_id, note_id, rank, created_time,
    created_by, modified_time, modified_by
  ) values (
    1, 1, 1, 1, now(), "libby", now(), "libby"
  );

insert into sequence (
    sequence_id, list_id, material_id, rank, created_time,
    created_by, modified_time, modified_by
  ) values (
    2, 1, 1, 2, now(), "libby", now(), "libby"
  );

insert into sequence (
    sequence_id, list_id, material_id, rank, created_time,
    created_by, modified_time, modified_by
  ) values (
    3, 1, 2, 3, now(), "libby", now(), "libby"
  );

insert into sequence (
    sequence_id, list_id, material_id, rank, created_time,
    created_by, modified_time, modified_by
  ) values (
    4, 1, 3, 4, now(), "libby", now(), "libby"
  );

insert into sequence (
    sequence_id, list_id, material_id, rank, created_time,
    created_by, modified_time, modified_by
  ) values (
    5, 1, 4, 5, now(), "libby", now(), "libby"
  );

insert into sequence (
    sequence_id, list_id, material_id, rank, created_time,
    created_by, modified_time, modified_by
  ) values (
    6, 1, 5, 6, now(), "libby", now(), "libby"
  );

insert into departments (
     dept_id, dept_code, dept_name, browsable
  ) values (
     1, "LB", "Library", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "A", "First Year Undergraduate", "", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "B", "Second Year Undergraduate", "", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "C", "Third Year Undergraduate", "", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "D", "Fourth Year Undergraduate", "", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "F", "Foundation Year", "Placements, projects, etc", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "I", "Other", "Placements, projects, etc", "Y"
  );

insert into stage (
      code, name, description, browsable
  ) values (
      "X", "Sub-list", "", "Y"
  );
